summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author M.Dinslage <daedra1980{at}gmail{dot}com>2010-05-13 00:57:53 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:53 +0200
commit7f2897563b08f3f0982b9a42003f68f70aa4f8e5 (patch)
tree99f548ad824db9086ed68e9923ac69f26eb72f78 /development
parent1ea71ccb78e1b5cb5b75f1c08553e1491e7be269 (diff)
downloadslackbuilds-7f2897563b08f3f0982b9a42003f68f70aa4f8e5.tar.gz
slackbuilds-7f2897563b08f3f0982b9a42003f68f70aa4f8e5.tar.xz
development/freeglut: Added to 13.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/freeglut/README10
-rw-r--r--development/freeglut/freeglut.SlackBuild76
-rw-r--r--development/freeglut/freeglut.info10
-rw-r--r--development/freeglut/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/development/freeglut/README b/development/freeglut/README
new file mode 100644
index 0000000000..9c6c2d7dd8
--- /dev/null
+++ b/development/freeglut/README
@@ -0,0 +1,10 @@
+Freeglut (OpenSourced alternative to OpenGL Utility Toolkit (GLUT))
+
+GLUT was originally written by Mark Kilgard to support the sample programs in
+the second edition OpenGL 'RedBook'. Since then, GLUT has been used in a wide
+variety of practical applications because it is simple, widely available and
+highly portable. GLUT (and hence freeglut) allows the user to create and
+manage windows containing OpenGL contexts on a wide range of platforms.
+
+NOTE: This package overwrites libglut.so and glut.h from the mesa package in
+stock Slackware, so be sure to reinstall mesa after removing freeglut.
diff --git a/development/freeglut/freeglut.SlackBuild b/development/freeglut/freeglut.SlackBuild
new file mode 100644
index 0000000000..5b2fbf39b5
--- /dev/null
+++ b/development/freeglut/freeglut.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for freeglut
+
+# Written by M.Dinslage (daedra1980@gmail.com)
+
+PRGNAM=freeglut
+VERSION=${VERSION:-2.6.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL LISEZ_MOI NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/freeglut/freeglut.info b/development/freeglut/freeglut.info
new file mode 100644
index 0000000000..9138b3722a
--- /dev/null
+++ b/development/freeglut/freeglut.info
@@ -0,0 +1,10 @@
+PRGNAM="freeglut"
+VERSION="2.6.0"
+HOMEPAGE="http://freeglut.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/freeglut/freeglut-2.6.0.tar.gz"
+MD5SUM="39f0f2de89f399529d2b981188082218"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980{at}gmail{dot}com"
+APPROVED="rworkman"
diff --git a/development/freeglut/slack-desc b/development/freeglut/slack-desc
new file mode 100644
index 0000000000..357dfd3144
--- /dev/null
+++ b/development/freeglut/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+freeglut: Freeglut (OpenSourced alternative to OpenGL Utility Toolkit (GLUT))
+freeglut:
+freeglut: GLUT was originally written by Mark Kilgard to support the sample
+freeglut: programs in the second edition OpenGL 'RedBook'. Since then, GLUT
+freeglut: has been used in a wide variety of practical applications because it
+freeglut: is simple, widely available and highly portable. GLUT (and hence
+freeglut: freeglut) allows the user to create and manage windows containing
+freeglut: OpenGL contexts on a wide range of platforms.
+freeglut:
+freeglut:
+freeglut: